#include <jni.h>

int Exception(JNIEnv *env, const char *msg);
int ArrayIndexOutOfBoundsException(JNIEnv *env, const char *msg);
int OutOfMemoryError(JNIEnv *env, const char *msg);
int AddDBException(JNIEnv *env, const char *msg);
int NoRouteToHostException(JNIEnv *env, const char *msg);
int RoutingException(JNIEnv *env, const char *msg);
int throwException(JNIEnv *env, const char *name, const char *msg);
int arrayLength(JNIEnv *env, jobjectArray jarr);
int copyJavaToCint1D(JNIEnv *env, jintArray jarr, int *T);
int copyJavaToCdouble1D(JNIEnv *env, jdoubleArray jarr, double *T);

static const unsigned int MAX_MSG = 256;
